classification
Title: Add asyncio.Handle.cancelled() method
Type: enhancement Stage: resolved
Components: asyncio, Documentation, Library (Lib) Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: decaz, docs@python, yselivanov
Priority: normal Keywords:

Created on 2017-11-04 16:27 by decaz, last changed 2017-11-18 14:20 by decaz. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2388 merged decaz, 2017-11-04 16:27
Messages (1)
msg305561 - (view) Author: Marat Sharafutdinov (decaz) * Date: 2017-11-04 16:27
It would be handy to access the loop's time the Handle's callback will be called at if you are using delayed calls with "delay" (not "when") argument.
Also it is useful to know whether the call was cancelled through the special attribute.
History
Date User Action Args
2017-11-18 14:20:51decazsetversions: + Python 3.7, - Python 3.6
2017-11-18 14:15:21asvetlovsetstatus: open -> closed
resolution: fixed
stage: resolved
2017-11-06 17:01:12decazsettitle: Add asyncio.Handle.cancelled() and asyncio.TimerHandle.when -> Add asyncio.Handle.cancelled() method
2017-11-04 16:27:05decazcreate